close all
str_tit = strcat('b = 1500');

t_1 = 10*24+1;
t_2 = 10*24+5*24;

figure
plot(q_1tot(t_1:t_2),'b')
hold on
plot(q_2tot(t_1:t_2),'r')
legend('q_1','q_2')
%xlim([1 5*24])
%ylim([0 40000])
xlabel('time [h]')
ylabel('quantity [MWh]')
grid on

figure
plot(p(t_1:t_2),'b')
xlabel('time [h]')
ylabel('system price [EUR]')
xlim([1 5*24])
grid on


figure
plot(beta_1(t_1:t_2)/c_1,'b')
hold on
plot(beta_2(t_1:t_2)/c_2,'r')
legend('beta_1','beta_2')
grid on


% figure
% plot(q_1tot(t_1:t_2),'b')
% hold on
% plot(q_1(t_1:t_2),'r')
% plot(q_1w(t_1:t_2),'g')
% legend('q_{1,tot}','q_1','q_{1,w}')
% xlim([1 5*24])
% ylim([0 40000])
% xlabel('time [h]')
% ylabel('quantity [MWh]')
% title(str_tit)
% grid on
% 
% figure
% plot(q_2tot(t_1:t_2),'b')
% hold on
% plot(q_2(t_1:t_2),'r')
% plot(q_2w(t_1:t_2),'g')
% legend('q_{2,tot}','q_2','q_{2,w}')
% xlim([1 5*24])
% ylim([0 40000])
% xlabel('time [h]')
% ylabel('quantity [MWh]')
% title(str_tit)
% grid on
% 
% 
% 
% 
% 
% figure
% 
% xlabel('time [hours]')
% ylabel('Quantity [MWh]')
% subplot(2,1,1)
% title('generator 1')
% hold on
% plot(q_1tot,'b')
% plot(q_1,'r')
% plot(q_1w,'g')
% plot(q_1tot-circshift(q_1tot',24)','k')
% legend('q_1tot','q_1','q_1w','q_1tot(t)-q_1tot(t-1)')
% subplot(2,1,2)
% title('generator 2')
% hold on
% plot(q_2tot,'b')
% plot(q_2,'r')
% plot(q_2w,'g')
% plot(q_2tot-circshift(q_2tot',24)','k')
% legend('q_2tot','q_2','q_2w','q_2tot(t)-q_2tot(t-1)')
% 
% figure
% hold on
% plot(beta_1/c_1,'b')
% plot(beta_2/c_2,'r')
% title('betas')
% legend('beta1','beta2')