function [pm,qm] = p_q_estimates(day,cons,sysp)
% the function finds the yearly average price (pm) and vector of 
% average consumption (qm) for each hour of the di during period 
% [di-15; di+15]

pm = mean(sysp);
qm = [];

we = 0;
bd = day-2;
ed = day+2;

for hour=1:24
    cons_vec = [];
    for di=bd:ed

            index = (di-1)*24+hour;
            cons_vec = [cons_vec cons(index)];

    end  
    qm = [qm; mean(cons_vec)];    
end


