close all
str_tit = strcat('b = 1500');

t_1 = 10*24+1;
t_2 = 10*24+5*24;

figure
plot(q_1tot(t_1:t_2),'b')
hold on
plot(q_1(t_1:t_2),'r')
plot(q_1w(t_1:t_2),'g')
legend('q_{1,tot}','q_1','q_{1,w}')
xlim([1 5*24])
ylim([0 50000])
xlabel('time [h]')
ylabel('quantity [MWh]')
title(str_tit)
grid on

figure
plot(q_2tot(t_1:t_2),'b')
hold on
plot(q_2(t_1:t_2),'r')
plot(q_2w(t_1:t_2),'g')
legend('q_{2,tot}','q_2','q_{2,w}')
xlim([1 5*24])
ylim([0 50000])
xlabel('time [h]')
ylabel('quantity [MWh]')
title(str_tit)
grid on

% figure
% plot(beta_1(169:2*168)/c_1,'b')
% hold on
% plot(beta_2(169:2*168)/c_2,'r')
% grid on
% xlabel('time [h]')
% xlim([1 168])
% title('betas')
% legend('beta1','beta2')

figure
plot(p(t_1:t_2),'b')
title(str_tit)
%legend('p')
xlabel('time [h]')
ylabel('system price [EUR]')
xlim([1 5*24])
ylim([12 23])
grid on